Bug 21090 - RFE: netconfig: setting to disable /etc/resolv.conf rewriting, warnings about bad options
Summary: RFE: netconfig: setting to disable /etc/resolv.conf rewriting, warnings about...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: pump   
(Show other bugs)
Version: roswell
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-19 17:59 UTC by Pekka Savola
Modified: 2007-04-18 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-10 23:48:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pekka Savola 2000-11-19 17:59:23 UTC
I personally change the network settings manually with an editor, but I think
netconfig is the only text-mode tool to do this, so...

1) netconfig should have an option that it wouldn't rewrite /etc/resolv.conf.

This is needed on systems that want to use netconfig to configure non-primary interfaces.  
You can avoid this by setting the correct DNS server for every interface, or not using TUI, 
but a real solution might be in order.

2) netconfig should report if invalid options were input.  That is, if you e.g. say:

netconfig -d eth1

Whoops!  The correct syntax was -d=eth1 and netconfig just silently discards the option, 
killing your current eth0 setup (and connection).

In a similar way, something like netconfig --uasdasvaslkdfvla doesn't give a complaint either..

Comment 1 Elliot Lee 2001-09-10 23:48:14 UTC
Part 1) will probably continue to need to be done by editing files - putting a
PEERDNS=no checkbox into netconfig would overcomplicate it.

Comment 2 Elliot Lee 2001-09-10 23:54:39 UTC
Part 2 should be fixed...


Note You need to log in before you can comment on or make changes to this bug.